Etoile - An updated PKGBUILD

Currently AUR has no support for PKGBUILDs which have split packages and since Etoile is a modular desktop environment I have no intention to build it as a whole I would like to paste it here with the corresponding patches (I don't have free webspace and I'm not using Arch Linux anymore). Please use it, modify it and adapt it for the trunk release, because one of the core developers said they will move to a "rolling-release" like model and stable will be abandoned for uncertain period.
- EDIT -
Here you can download the tarball which has the PKGBUILD and the corresponding patches
Last edited by esters (2010-05-06 18:11:06)

works with this patch...
--- src/Etoile-0.4.1/Languages/LanguageKit/CodeGen/CGObjCGNU.cpp 2009-03-17 14:19:34.000000000 +0100
+++ CGObjCGNU.cpp 2010-05-17 13:09:44.503651620 +0200
@@ -971,7 +971,7 @@
// Runtime version used for compatibility checking.
Elements.push_back(llvm::ConstantInt::get(LongTy, RuntimeVersion));
llvm::TargetData td =
- llvm::TargetData::TargetData(&TheModule);
+ llvm::TargetData(&TheModule);
Elements.push_back(llvm::ConstantInt::get(LongTy,
td.getTypeSizeInBits(ModuleTy)/8));
//FIXME: Should be the path to the file where this module was declared
http://bugs.gentoo.org/show_bug.cgi?id=317467
Last edited by yannsen (2010-05-17 11:32:06)

Similar Messages

  • AMule 2.2.1 - updated PKGBUILD

    Hello,
    As i couldnt see any new package in both extra and testing repos (the one is in extra is a bit older.), i've made my own aMule 2.2.1 package. It doesnt need wx patch anymore, here's simple PKGBUILD (based on contributors package)
    What's new with 2.2 series?
        * Protocol Obfuscation
        * UPnP support
        * Network protocol updated to eMule 0.49a (including large file support)
        * Kad 2.0
        * Improved skin support and country flags
        * Support for compilation with MS Visual Studio -> WOW!
    # $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
    # Maintainer: damir <[email protected]>
    # Contributor: Henrik Ronellenfitsch <[email protected]>
    pkgname=amule
    pkgver=2.2.1
    pkgrel=5
    pkgdesc="aMule is a eMule-like client for ed2k p2p network"
    arch=("i686" "x86_64")
    license=('GPL')
    url="http://www.amule.org"
    depends=('wxgtk>=2.8.0.1' 'gd>=2.0.34' 'binutils>=2.17.50.0.18')
    makedepends=('crypto++')
    source=(http://downloads.sourceforge.net/amule/aMule-${pkgver}.tar.bz2)
    md5sums=('bfa8237e9682fd9d6fce72e152276f49')
    sha1sums=('c4a98fd034ae9af9ace632c9bc9f51a75405c271')
    build() {
    cd ${startdir}/src/aMule-${pkgver}
    ./configure --prefix=/usr \
    --disable-embedded_crypto \
    --enable-utf8-systray \
    --enable-cas \
    --enable-wxcas \
    --enable-amule-daemon \
    --enable-amulecmd \
    --enable-amule-gui \
    --enable-alc \
    --enable-alcc \
    --enable-webserver
    make || return 1
    make DESTDIR=${startdir}/pkg install

    Well, I was doing my own PKGBUILD for aMule too and found a problem present in your package too...
    Initialising aMule
    Checking if there is an instance already running...
    No other instances are running.
    HTTP download thread started
    ListenSocket: Ok.
    A fatal error has occurred and aMule has crashed.
    Please assist us in fixing this problem by posting the backtrace below in our
    'aMule Crashes' forum and include as much information as possible regarding the
    circumstances of this crash. The forum is located here:
    http://forum.amule.org/index.php?board=67.0
    If possible, please try to generate a real backtrace of this crash:
    http://www.amule.org/wiki/index.php/Backtraces
    ----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
    Current version is: aMule 2.2.1 using wxGTK2 v2.8.7
    Running on: Linux 2.6.25-ARCH i686
    [2] ?? in amule [0x8076f13]
    [3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.8.so.0[0xb7bcc646]
    [4] ?? in [0xb80ce400]
    [5] ?? in amule [0x828ceeb]
    [6] ?? in amule [0x8215ebd]
    [7] ?? in amule [0x8215e43]
    [8] ?? in amule [0x82162ab]
    [9] ?? in amule [0x8216349]
    [10] ?? in amule [0x81efff5]
    [11] ?? in amule [0x81e7d78]
    [12] ?? in amule [0x81e8075]
    [13] ?? in amule [0x807bb2d]
    [14] ?? in amule [0x81e7847]
    [15] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.8.so.0[0xb7b5ce90]
    [16] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.8.so.0[0xb7b5cf67]
    [17] ?? in amule [0x81e8227]
    [18] __libc_start_main in /lib/libc.so.6[0xb78865c5]
    [19] wxAppBase::MainLoop() in amule[0x8072bf1]
    Arch Linux up-to-date, of course... Does aMule work well for you?

  • Updated PKGBUILD for vmware-server-modules 2.0.2

    Hi.
    I have updated the PKGBUILD for the vmware-server-modules and added patches for kernel 2.6.35 and 2.6.36.
    The package is currently marked as an orphan, so I'll have to adopt it do upload the changes, right?
    Could someone please take a look at this, and say if it is good enough.
    I haven't really made any changes other than adding patches for kernel 2.6.35 and 2.6.36, but since there are some 'not so positive comments' following this package in AUR maybe there is more that should be done?
    It works on my x86_64 2.6.36-arch install.
    pkgname=vmware-server-modules
    pkgver=2.0.2
    pkgrel=4
    pkgdesc="Kernel modules for VMware Server"
    arch=('i686' 'x86_64')
    url="http://www.vmware.com/products/server/"
    license=('custom')
    depends=('kernel26>=2.6.32')
    makedepends=('kernel26-headers')
    conflicts=('vmware-workstation-modules' 'vmware-player-modules')
    install=vmware-server-modules.install
    _kernver=`uname -r`
    source=(VMware-server-2.0.2-203138-update-2.patch vmware-server-modules-autoconf.patch vmware-server-modules-vsock-kernel2.6.35.patch vmware-server-modules-vmmon-kernel2.6.36.patch)
    md5sums=('774a6361a443834205bc0172498bb2c0'
    '91ea48c3d4779f531cb942be09248dba'
    '3325f1b34eb21ee7d4cceb5f0da852f1'
    'bfd62533e023b696cf7ff45379732b71')
    case ${CARCH} in
    i686)
    source=(${source[@]} 'VMware-server-2.0.2-203138.i386.tar.gz')
    md5sums=(${md5sums[@]} '6eb844d1ab4aed6128438e5f587d10bb');;
    x86_64)
    source=(${source[@]} 'VMware-server-2.0.2-203138.x86_64.tar.gz')
    md5sums=(${md5sums[@]} 'cc7aef813008eeb7150c21547d431b39');;
    esac
    build() {
    cd "$srcdir/vmware-server-distrib/lib/modules/source"
    for module in *.tar; do
    tar xf $module
    done
    cd "$srcdir/vmware-server-distrib"
    # patch
    patch -p1 < ../VMware-server-2.0.2-203138-update-2.patch
    patch -p2 < ../vmware-server-modules-autoconf.patch
    if [[ ${_kernver:0:6} == "2.6.35" ]]; then
    patch -p1 < ../vmware-server-modules-vsock-kernel2.6.35.patch
    fi
    if [[ ${_kernver:0:6} == "2.6.36" ]]; then
    patch -p1 < ../vmware-server-modules-vsock-kernel2.6.35.patch
    patch -p1 < ../vmware-server-modules-vmmon-kernel2.6.36.patch
    fi
    cd "$srcdir/vmware-server-distrib/lib/modules/source"
    for module in vmci vsock vmmon vmnet; do
    make -C $module-only HEADER_DIR=/lib/modules/$_kernver/build/include || \
    return 1
    install -D -m644 $module-only/$module.ko \
    "$pkgdir/lib/modules/$_kernver/misc/$module.ko"
    done
    # License
    install -D -m644 "$srcdir/vmware-server-distrib/doc/EULA" \
    "$pkgdir/usr/share/licenses/vmware-server-modules/EULA"
    install -D -m644 "$srcdir/vmware-server-distrib/doc/open_source_licenses.txt" \
    "$pkgdir/usr/share/licenses/vmware-server-modules/open_source_licenses.txt"
    sed -i -e "s|KERNEL_VERSION='.*'|KERNEL_VERSION='$_kernver'|" \
    "$startdir/vmware-server-modules.install"

    i don'T think that there will ever be a PKGBUILD for VMWare, because it's commercial software... but i posted alot of hints in the "Package Configuration Problems" Forum...
    http://bbs.archlinux.org/viewtopic.php? … highlight=
    nearly each posible problem is described there... if u still have problems, post ur errors and anything u got about it there, and i try to help u.....

  • Help updating PKGBUILD for gnofract4d?

    I wonder if anybody would be prepared to take a look at this orphaned AUR package. I've posted a comment on the package's page at https://aur.archlinux.org/packages/gnofract4d/.
    Basically, I managed to get the latest version of the package to build just by changing the checksums and adjusting the version but I would like to get the documentation to compile as well. Not only can I not get this to happen using the PKGBUILD, but I am getting a segfault attempting to compile the documentation manually using the createdocs.py script in the source tree. I don't know much about conversion of .xml to .html but I think I am missing some package(s) I would need for this to work though I cannot figure out which. However, there is a prior problem which is that the python code for generating the generated .xml documentation segfaults while (I think) creating the second document. So I end up with one file with a bunch of stuff and one empty file.
    I've posted the error I'm running into along with the changes I made to the PKGBUILD script (just in case or if anybody wants it).
    This is by far the best fractal generating programme I've found on Linux and better than anything I found for OS X so I would really like to get the documentation for this working if possible. I'm confused because it is complaining about a lack of display but I can't see why it should want a display just to generate docs.

    This might be a docbook question. I tried reading https://wiki.archlinux.org/index.php/Docbook and checked that I have all the packages listed installed. However, that article is only a stub. Can anybody recommend a slightly more comprehensive, but straightforward (i.e. intelligible to the non-initiates), introduction?

  • Pkgbuild upstream updater

    Hi, here is my first try coding script
    code contribution are welcome.
    Description:
    Script to retrieve the latest upstream PKGBUILD file and if new changes it will build/install/(or upload to AUR) the package or whatever.
    Todo:
    Parse the PKGBUILD to retrieve extra files like $pkgnam.install, patch, ect
    Allow manually adding PKGBUILD address upstream.
    Allow to automatically update a bunch of PKGBUILD with a loop.
    Write the source address PKGBUILD upstream in a separate file into the same folder or in a global file.
    #!/bin/bash
    #update-pkgbuild.sh
    # Todo:
    # Parse the PKGBUILD to retrieve extra files like $pkgnam.install, patch, ect
    # Allow manually adding PKGBUILD address upstream.
    # Allow to automatically update a bunch of PKGBUILD with a loop.
    # Write the source address PKGBUILD upstream in a separate file into the same folder or in a global file.
    set -x
    old_md5="$(md5sum 'PKGBUILD' 2>/dev/null | cut -d ' ' -f 1 )"
    # del old source packages
    if [[ -d "src" ]]; then
    rm -r "src"
    fi
    if [[ -d "pkg" ]]; then
    rm -r "pkg"
    fi
    # check if tmp folder exist. If so then delete
    if [[ -d "tmp" ]]; then
    # Control will enter here if DIRECTORY exists.
    rm -r "tmp"
    fi
    mkdir "tmp"
    cd tmp || { echo 'failed to cd'; exit 1; }
    curl -O https://raw.githubusercontent.com/felixonmars/aur-mirror/master/pamac-aur/PKGBUILD || { echo 'failed to curl'; exit 1; }
    new_md5="$(md5sum 'PKGBUILD' | cut -d ' ' -f 1 )"
    # check if file exist
    if [ -f ../PKGBUILD ]; then
    echo 'check if md5sum are equal'
    # check if md5sum are equal
    if [[ $old_md5 == $new_md5 ]]; then
    # nothing to do
    echo 'No update available'
    else
    # backup the old file
    cp ../PKGBUILD ../PKGBUILD-"$(date +'%Y%m%d-%H%M%S')"
    # replace old
    mv PKGBUILD ../PKGBUILD
    # Todo
    # read the pkgbuild to list available extra files like patchs and then curl that needed files
    # back to previous dir
    cd -
    # Build & Install the package
    # makepkg -i -s -f --noconfirm
    # Build only
    echo 'makepkg -s -f --noconfirm'
    fi
    else
    # move
    mv PKGBUILD ../PKGBUILD
    # Todo
    # read the pkgbuild to list available extra files like patchs and then curl that needed files
    # back to previous dir
    cd -
    # Build & Install the package
    # makepkg -i -s -f --noconfirm
    # Build only
    echo 'makepkg -s -f --noconfirm'
    fi
    Edit: the code can be forked from this link https://gist.github.com/mawekuwe/38befce82878e83ab376
    Updated the description.
    Thanks for reading
    Last edited by zegoti (2015-04-25 00:42:14)

    fukawi2 wrote:
    # del old source packages
    if [[ -d "src" ]]; then
    rm -r "src"
    fi
    if [[ -d "pkg" ]]; then
    rm -r "pkg"
    fi
    You should look in /etc/makepkg.conf (and ~/.makepkg.conf) and take into account $BUILDDIR instead of assuming src/ and pkg/.
    For example, my $BUILDDIR in ~/.makepkg.conf points to a path in /mnt that is a RAID-10 array of SSD's.
    Great suggestion, I will look at it. Thanks

  • [solved] Small changes to abs PKGBUILDs and maintenance/updating

    Hi!
    Somehow I manage to hoard packages that require intervention on updates. Small things, like p.e. adding a flag to have cups build without the need for avahi or midori (if I rememer tight that one was libsoup) without gconf... or just an own mozconfig for firefox. Nothing that really requires too much thinking/knowing/decision-making - at least to apply the changes to updated PKGBUILDs.
    Now what's the best way to maintain that and is there already a good script or something to do it?
    Something like p.e.:
    - Have a folder with PKGBUILD patches (like "insert additional build flag")
    - If folder for package exists, build from ABS as soon as new abs version exists, apply patch to PKBUILD before that & notify if it fails with the updated PKBUILD (something like just adding the -disable_whatever flag shouldn't require much intervention, should it?)
    - If no folder, take pacman package as soon as soon as ABS is updated (are there lots problems with them not being in sync?)
    Well, but that's just an example... how do you do it? How do you let yourself get informed about repo updates of package you have installed as local slightly modified version? How do you reapply small / medium / big changes to the updated original PKGBUILDs? And slightly related: Do you think it makes sense to provide & request AUR packages that are only slightly different from the original ABS ones (like one line / one configure flag...) or would that just lead to way to many AUR entries that are only used by 1-2 people?
    thx...
    Last edited by whoops (2009-07-24 16:53:08)

    Thanks!
    That doesn't really do everything I had in mind, but as it's bash and I can spend hours screaming at single lines of bash that don't work after I changed/typed them,  it should keep me occupied until I either give up, break something or get it to do what I want...
    Still: If anyone knows something like it that maybe has support for AUR and/or makes it easier to keep patches / custom files (like mozconfig) in the "private ABS tree" for automatic updating / building, just point me into the direction!

  • [UPDATED] MLDonkey 2.6.2 PKGBUILD

    I have created a MLDonkey 2.5.28 PKGBUILD. This has a script wich starts, stops or restarts MLDonkey creating configuration files in ~/.mldonkey. With this script you can runs mldonkey with many users and if you stop mldonkey, only the mldonkey session of users will be stopped. You must do:
    $ mldonkey {start|stop|restart}
    ... for diferents options. This MLDonkey hasn't GUI, If you want one with GUI tell me, but there are better GUI like KMLDonkey, Sancho...
    <b>UPDATED PKGBUILD</b>
    # Contributor: Sergio Jovani Guzman <[email protected]>
    pkgname=mldonkey
    pkgver=2.6.2
    pkgrel=1
    pkgdesc="MLDonkey is a multi-network P2P client"
    url="http://mldonkey.berlios.de/"
    depends=(ocaml gd glibc bzip2)
    source=(http://savannah.nongnu.org/download/mldonkey/mldonkey-$pkgver.tar.bz2)
    md5sums=('9d7c0bdf332c656086d2c0bcbe8cb28d')
    build() {
    cd $startdir/src/$pkgname-$pkgver
    mkdir -p $startdir/pkg/usr/bin
    ./configure --prefix=/usr --disable-gui
    make || return 1
    make utils || return 1
    cp -f {mlnet,dp500,ed2k_hash,get_range,make_torrent,subconv,svg_converter,copysources} $startdir/pkg/usr/bin
    echo '#!/bin/bash
    PID=`pidof -o %PPID /usr/bin/mlnet`
    case "$1" in
    start)
    echo "Starting MLDonkey" && sleep 1
    if [ ! -d $HOME/.mldonkey ]; then
    mkdir $HOME/.mldonkey
    fi
    if [ -f /tmp/mldonkey.`id -u`.pid ]; then
    echo "Error starting MLDonkey, it is already running."
    exit 1
    fi
    cd $HOME/.mldonkey; /usr/bin/mlnet &> /dev/null & echo "MLDonkey is running!"
    echo > /tmp/mldonkey.`id -u`.pid
    if [ $? -gt 0 ]; then
    echo "Error starting MLDonkey"
    exit 1
    fi
    stop)
    echo "Stopping MLDonkey" && sleep 1
    if [ ! -f /tmp/mldonkey.`id -u`.pid ]; then
    echo "Error running MLDonkey. It is not running now."
    exit 1
    fi
    kill $PID &> /dev/null
    rm -f /tmp/mldonkey.`id -u`.pid
    echo "MLDonkey has been killed!"
    if [ $? -gt 0 ]; then
    echo "Error stopping MLDonkey"
    exit 1
    fi
    restart)
    $0 stop
    sleep 1
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    exit 0' > $startdir/pkg/usr/bin/mldonkey
    chmod 755 $startdir/pkg/usr/bin/mldonkey
    <b>Note:</b> Sancho-gtk GUI is in AUR
    I'm waiting for opinions and bugs!!
    Bye!

    I used moret's script with a few changes for version 2.6.1. It's not a pretty PKGBUILD but it works!
    # Contributor: Sergio Jovani Guzman <[email protected]>
    pkgname=mldonkey
    pkgver=2.6.1
    pkgrel=1
    pkgdesc="MLDonkey is a multi-network P2P client"
    url="http://download.berlios.de/pub/mldonkey/spiralvoice/"
    depends=(zlib)
    makedepends=(ocaml)
    source=(http://download.berlios.de/pub/mldonkey/spiralvoice/cores/Linux/$pkgname-$pkgver.static.i386-Linux.tar.bz2)
    md5sums=('d59ebd47829dbfeffd88c43f99a7f4fb')
    build() {
    cd $startdir/src/$pkgname-distrib-$pkgver
    # static MLdonkey
    mkdir -p $startdir/pkg/usr/share/mldonkey
    mkdir -p $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/kill_mldonkey $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/make_buginfo $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/mldonkey_command $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/mldonkey_previewer $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/mlnet $startdir/pkg/usr/bin
    mv -v $startdir/src/$pkgname-distrib-$pkgver/* $startdir/pkg/usr/share/mldonkey
    echo '#!/bin/bash
    PID=`pidof -o %PPID /usr/bin/mlnet`
    case "$1" in
    start)
    echo "Starting MLDonkey" && sleep 1
    if [ ! -d $HOME/.mldonkey ]; then
    mkdir $HOME/.mldonkey
    fi
    if [ -f /tmp/mldonkey.`id -u`.pid ]; then
    echo "Error starting MLDonkey, it is already running."
    exit 1
    fi
    cd $HOME/.mldonkey;
    /usr/bin/mlnet &> /dev/null & echo "MLDonkey is running!"
    echo > /tmp/mldonkey.`id -u`.pid
    if [ $? -gt 0 ]; then
    echo "Error starting MLDonkey"
    exit 1
    fi
    stop)
    echo "Stopping MLDonkey" && sleep 1
    if [ ! -f /tmp/mldonkey.`id -u`.pid ]; then
    echo "Error running MLDonkey. It is not running now."
    exit 1
    fi
    kill $PID &> /dev/null
    rm -f /tmp/mldonkey.`id -u`.pid
    echo "MLDonkey has been killed!"
    if [ $? -gt 0 ]; then
    echo "Error stopping MLDonkey"
    exit 1
    fi
    restart)
    $0 stop
    sleep 1
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    exit 0' > $startdir/pkg/usr/bin/mldonkey
    chmod 755 $startdir/pkg/usr/bin/mldonkey

  • First Time Making PKGBUILD: xhotkeys

    I wanted to try out a keybinding program called xhotkeys (I like to look aroudn for alternative programs constantly, and noticed that xbindkeys has quite a few dependencies), but when I went to install it from the AUR, it gave me some errors. (Namely, that /usr/share/applications and /usr/share/pixmaps existed.) After checking out the AUR website itself, I discovered that someone had posted that the project page had moved from what the existing PKGBUILD pointed to. So I figured that I had a chance to try to learn how to make PKGBUILDS. I cobbled this together, basing it on the sample PKGBUILD-python:
    # Contributor: [email protected]
    pkgname=xhotkeys
    pkgver=0.1.2
    pkgrel=1
    pkgdesc="A simple and easily configurable hotkey launcher in pygtk"
    url="http://code.google.com/p/xhotkeys/"
    depends=('python2' 'python-xlib' 'python-configobj')
    optdepends=('kiwi: xhotkeys-gui support')
    arch=('any')
    license=('GPL')
    source=(http://xhotkeys.googlecode.com/files/xhotkeys-$pkgver.tgz)
    epoch=1
    md5sums=('edaeb79453ed4e9abc4bf0a60de183f8')
    package() {
    cd "$srcdir/$pkgname-$pkgver"
    python2 setup.py install --root="$pkgdir/" --optimize=1
    # vim:set ts=2 sw=2 et:
    It works, and I'm using it right now. I just wanted to check if I was doing anything glaringly wrong. I went through the Arch Packaging Standards at https://wiki.archlinux.org/index.php/Ar … _Standards, and I think it adheres. I ran the install.py script with --record to check that it didn't install to /usr/local.
    The package comes with two parts: xbindkeysd, which only uses the python-xlib and python-configobj packages, and xbindkeys-gui, which uses the kiwi package as well. I wasn't sure how that was usually handled, in depends or in optdepends.
    Also, a maintainer currently exists for the original website, http://www.nongnu.org/xhotkeys/. Should I be renaming the package? It's a newer version, but I think it's essentially the same program. Or should I contact the original maintainer? Or should I just not bother with uploading the PKGBUILD?
    Thanks for any help. Sorry if I sound like a moron.
    EDIT: changed contributor email.
    EDIT: PKGBUILD.
    Last edited by bananagranola (2012-02-11 01:34:51)

    You don't need
    makedepends=('make')
    as that is part of group base-devel and AUR users are expected to have that.
    Googlecode xhotkeys page says the nongnu one is older. You should try contacting the AUR maintainer and if he fails to respond, ask on the AUR ml to orphan the package so you can upload an updated PKGBUILD.
    Edit: Since this is a python 2 package you should add python2 to depends and change
    arch=('i686' 'x86_64')
    to
    arch=('any')
    Last edited by fsckd (2012-02-11 00:34:22)

  • Sugestion for next update of AUR

    Hello!
    I have an idea in my mind. and my sugestion is:
    For example when we send a package that already has an owner in AUR, we could not send because only the owner of the package can update the package with the same name as the one that you want to send.
    However if the owner of the package does not update package, does not respond to the comments and requests to update the package would be the idea that users were able to send the package even if you are not an owner.
    the page where are the package would be a link called "other versions of the package" that would link a page where are the other versions sent by non-owners of the source package, thus forming a ranking of sources of packages with the same name where the package most votes would be the official source package elected by the official owner of the package in AUR and users who liked the other version of the package.
    If the yaourt there support ranking of sources, it would work like this:
    "yaourt -S repacman-1"
    being that "-1" would the reference to package with more votes of ranking of the package: "repacman". and that is in first place of the packages with more votes.
    That would relieve the user from dealing with outdated sources where other versions come with problems solved to compilation and function.
    Good, excuse me by my bad English and I hope that I have managed to interpret me clearly about what I want you to understand about my idea!
    thank you!.

    yaourt is not an official tool for the AUR (I would recommend just not using it. Ever).
    If the owner does not update package, respond to comments, or respond to emails, then request a disown on aur-general. Having multiple versions of a PKGBUILD is just bloat.
    'Relieving' users from dealing with outdated sources is a lousy motivation, Arch users should know how to increment pkgver appropriately anyway.
    Currently you can already post an updated PKGBUILD in the comments (many do), so adding more complexity (and bugs) to the AUR is unnecessary.

  • Using Gentoo's etc-update to merge /etc/*.pacnew

    Hi all,
    Having looked through the Arch wiki for utilities to help merge *.pacnew files after an upgrade, I found that none of the utilities did what I was after.  They were either GUI based, required learning some new editor I would not use for anything else, or just plain didn't work.
    Since I found Gentoo's etc-update CLI utility excellent for this sort of thing, I decided to port it from Gentoo to Arch.  This was fairly straightforward given the lack of dependencies, so it is now available in the AUR.
    I like it because it has few dependencies, you can view diffs of the changes and interactively merge some hunks and not others, edit files using your preferred $EDITOR before merging and generally get files exactly the way you want before committing the changes to /etc.
    If you've never used Gentoo you might find it takes a little while to get the hang of, but I think many people coming from Gentoo will like having it available.  Old habits die hard, and all that :-)

    am i missing something? I have diffutils installed
    -> Found etc-update-arch_port.patch
    ==> Validating source files with md5sums...
    etc-update-arch_port.patch ... Passed
    ==> Extracting Sources...
    ==> Removing existing pkg/ directory...
    ==> Starting build()...
    ==> Downloading base versions from Gentoo SVN...
    /tmp/packerbuild-1000/etc-update/etc-update/PKGBUILD: line 23: svn: command not found
    ==> ERROR: A failure occurred in build().
    Aborting...
    The build failed.
    line 23 in PKGBUILD:
    svn export ${_svntrunk}bin/etc-update

  • Problems writing a PKGBUILD script for scizzor

    I wanted to make a package of scizzor (for bmp) ( http://scizzor.sourceforge.net )
    But i have kind a problem with the install process.
    In my opinion the install.pl script sucks hard.. now i have a problem.
    The library generated during the make process should be placed in ~/.bmp/Plugins
    Now i don't now how to write this in the PKGBUILD script.
    Here my PKGBUILD so far:
    pkgname=scizzor
    pkgver=1.3.3
    pkgrel=1
    pkgdesc="Beep Media Player and XMMS effect plugin for pitchspeed control."
    url="http://scizzor.sourceforge.net"
    depends=('bmp')
    conflicts=()
    source=(http://belnet.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
    md5sums=('f9c56fb0640e0e825c922472e5799be9')
    build() {
    cd $startdir/src/$pkgname-$pkgver
    make bmp || return 1
    # here the problem start
    Perhaps someone has an idea...
    I hope someone will understand my problem.. my english is not the best
    greets

    kpiche wrote:
    You should be able to replace the mkdirs and cp with:
    install -D scizzor-bmp.so $startdir/pkg`beep-config --plugin-dir`/Effect/
    See the install manpage.  See "mkdir -p" too.
    Hi,
    thank you
    I am totally new to this package creating business :-)
    Here the updated PKGBUILD script...
    btw: Can i somehow change the package i had put on ftp.archlinux.org/incoming?
    PKGBUILD
    # Contributor: Daniel Martin <[email protected]>
    pkgname=scizzor
    pkgver=1.3.3
    pkgrel=1
    pkgdesc="Beep Media Player effect plugin for pitchspeed control."
    url="http://scizzor.sourceforge.net"
    depends=('bmp')
    conflicts=()
    source=(http://belnet.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
    md5sums=('f9c56fb0640e0e825c922472e5799be9')
    build() {
    cd $startdir/src/$pkgname
    /usr/bin/patch -p1 < $startdir/beep-patch-1.3.3
    make bmp || return 1
    #### thanks to kapiche who helped me with the next part
    install -D scizzor-bmp.so $startdir/pkg`beep-config --plugin-dir`/Effect

  • Patch to update Jython to 2.5.1

    Installed Jython today and noticed it was woefully out-of-date.  It is in community and without a maintainer.  I have here a PKGBUILD that seems to work fine in my limited testing:
    # $Id: PKGBUILD 82 2009-07-17 19:56:55Z aaron $
    # Maintainer: Geoffroy Carrier <[email protected]>
    # Contributor: Richard Murri <[email protected]>
    pkgname=jython
    pkgver=2.5.1
    pkgrel=1
    pkgdesc="An implementation of the Python language written in Java"
    arch=('i686' 'x86_64')
    url="http://www.jython.org/"
    license=('python', 'apache', 'unknown')
    depends=('java-runtime')
    source=(http://downloads.sourceforge.net/$pkgname/${pkgname}_installer-${pkgver}.jar)
    build() {
    cd "$srcdir"
    java -jar ${pkgname}_installer-${pkgver}.jar -s -t standard -d "$pkgdir"/opt/jython
    sed -i s*"${pkgdir}"**g "${pkgdir}"/opt/jython/jython
    sed -i 's#/opt/java/jre/bin/java#java#g' "${pkgdir}"/opt/jython/jython
    md5sums=('2ee978eff4306b23753b3fe9d7af5b37')
    I wasn't quite sure what I should do with this, since [community] things aren't supposed to go in flyspray, right?
    If this package gets bumped out of [community] and back into the AUR, I'd be glad to maintain it.
    Last edited by Xiong Chiamiov (2009-10-01 20:35:08)

    Xyne wrote:I think that there are still some maintained packages that haven't yet been adopted on the web interface by their maintainers. I'd recommend posting a message to aur-general about this to find out of it's actually maintained or not.
    Mail sent.
    Is there anything that actually gets compiled during the installation? If there isn't, maybe arch=('i686' 'x86_64') could be replaced with arch=('any').
    It just unarchives the .jar file, and then seds a bit.  I think 'any' would work.
    Thanks for posting the patch. It might be simpler though to just post the updated PKGBUILD considering how small it is.
    Right you are.  I've updated the original post.
    If someone knows of a more robust way to test Jython, other than just running some code through it, I'd appreciate knowing it.

  • Gnuplot 4.2 PKGBUILD

    Hello everyone,
    as there was no update of the gnuplot PKGBUILD lately, I have written my own one, inspired by the old one and by the (outdated) gnuplot-cvs PKGBUILD from AUR.  This is it:
    # $Id$
    # Maintainer:
    # Contributor: Niklas Volbers <[email protected]>
    pkgname=gnuplot
    pkgver=4.2.0
    pkgrel=1
    pkgdesc="Command-line driven interactive data and function plotting utility"
    url="http://www.gnuplot.info"
    depends=('gd>=2.0.29' 'libpng' 'libx11' 'wxgtk')
    makedepends=('texinfo')
    source=(http://download.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
    md5sums=(f688a578ddb4c376fd7d91ce444a0745)
    build() {
    cd $startdir/src/$pkgname-$pkgver
    ./configure --prefix=/usr \
    --libexecdir=/usr/bin \
    --datadir=/usr/share \
    --with-readline=gnu \
    --enable-history-file \
    --with-x
    make || return 1
    make DESTDIR=$startdir/pkg \
    libexecdir=/usr/bin \
    pkglibexecdir=/usr/bin \
    datadir=/usr/share install
    install -D $startdir/src/$pkgname-$pkgver/Copyright $startdir/pkg/usr/share/licenses/custom/gnuplot/Copyright
    I am not sure if the wxwidget terminal should be included by default. If so, then I guess I can remove the libx11 dependency.
    The corresponding file tree looks like this:
    pkg
    `-- usr
    |-- bin
    | |-- gnuplot
    | `-- gnuplot_x11
    |-- lib
    | `-- X11
    | `-- app-defaults
    | `-- Gnuplot.app-defaults
    |-- man
    | `-- man1
    | `-- gnuplot.1.gz
    `-- share
    |-- emacs
    | `-- site-lisp
    | |-- gnuplot-gui.el
    | |-- gnuplot-gui.elc
    | |-- gnuplot.el
    | |-- gnuplot.elc
    | |-- info-look.20.2.el
    | `-- info-look.20.3.el
    |-- gnuplot
    | `-- 4.2
    | |-- PostScript
    | | |-- 8859-1.ps
    | | |-- 8859-15.ps
    | | |-- 8859-2.ps
    | | |-- cp1250.ps
    | | |-- cp437.ps
    | | |-- cp850.ps
    | | |-- cp852.ps
    | | |-- koi8r.ps
    | | |-- koi8u.ps
    | | `-- prologue.ps
    | `-- gnuplot.gih
    |-- licenses
    | `-- custom
    | `-- gnuplot
    | `-- Copyright
    `-- texmf-local
    `-- tex
    `-- latex
    `-- gnuplot
    `-- gnuplot.cfg
    Last edited by nv (2007-05-02 22:28:50)

    My first PKGBUILD had a problem with the x11 terminal.
    Updated PKGBUILD
    # $Id$
    # Maintainer:
    # Contributor: Niklas Volbers <[email protected]>
    pkgname=gnuplot
    pkgver=4.2.0
    pkgrel=2
    pkgdesc="Command-line driven interactive data and function plotting utility"
    url="http://www.gnuplot.info"
    depends=('gd>=2.0.29' 'libpng' 'libx11' 'wxgtk')
    makedepends=('texinfo')
    license='custom'
    source=(http://download.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
    md5sums=(f688a578ddb4c376fd7d91ce444a0745)
    build() {
    cd $startdir/src/$pkgname-$pkgver
    ./configure --prefix=/usr \
    --datadir=/usr/share \
    --libexecdir=/usr/bin \
    --with-readline=gnu \
    --enable-history-file \
    --with-x
    make X11_DRIVER_DIR='/usr/bin' || return 1
    make DESTDIR=$startdir/pkg \
    libexecdir=/usr/bin \
    pkglibexecdir=/usr/bin install
    install -D $startdir/src/$pkgname-$pkgver/Copyright $startdir/pkg/usr/share/licenses/custom/gnuplot/Copyright
    Last edited by nv (2007-05-03 10:58:02)

  • Cherrypy needs an update for Python 3.3

    Hi,
    I was going to file a bug report but since cherrypy is in Community and not Extra, I guess you can't do that?
    Anyway I ran into this bug:
    https://bitbucket.org/cherrypy/cherrypy … -python-33
    Manually installing this version of it resolved the issue:
    https://bitbucket.org/cherrypy/cherrypy … 2.3.tar.gz
    Would be nice to get back to the pacman packaged version.
    Just FYI.

    edit: nevermind, I didn't see that cherrypy was in [community]. I found the variants in the AUR and thought it was an AUR package. Follow karol's advice above.
    As for manual installation, that's almost always a bad idea on Arch. Just create/update the PKGBUILD yourself and install it with makepkg to avoid problems with package management.  You can even submit the updated PKGBUILD to the maintainer.
    Last edited by Xyne (2013-06-01 21:53:10)

  • Where is the GNUStep repository ?

    Hi,
    I want to install the latest version of etoile on my computer but I need the latest versions of the GNUStep libraries (that is the devloppemnt versions). I saw that there were an ArchLinux repository but the server seems unavaible.
    So, I wonder is the repository moved or simply disapeared ... and what happened to the PKGBUILDs ? I don't really care about compiling GNUStep myself but I don't really want to recreate the PKGBUILDs if they already exists, partly because it takes time (to compile, fox and recompile ...) and these times I don't have much time.
    Thanks.

    johnisevil wrote:
    mildred wrote:
    Hi,
    I want to install the latest version of etoile on my computer but I need the latest versions of the GNUStep libraries (that is the devloppemnt versions). I saw that there were an ArchLinux repository but the server seems unavaible.
    So, I wonder is the repository moved or simply disapeared ... and what happened to the PKGBUILDs ? I don't really care about compiling GNUStep myself but I don't really want to recreate the PKGBUILDs if they already exists, partly because it takes time (to compile, fox and recompile ...) and these times I don't have much time.
    Thanks.
    I've gotten Etoile running fine.  What I needed to do was create updated PKGBUILDs of the core GNUstep packages.  There are a few other dependencies you'll need for Etoile that I've written PKGBUILDs for which you can find in AUR.  You'll need onig, performance and sqlclient.  I've created a PKGBUILD for Etoile itself but since it's not too useful yet and still considered unstable, I recommend installing and running it locally for your user only.  Also, here's a screenshot of it showing that it does work in Arch: http://avarice.oneeightseven.org/images … inarch.png
    So... this PKGBUILD, think you might be able to link it?  I'd really like to give etoile a shot, but haven't had much luck compiling it. 
    Thanks,
    aJ0

Maybe you are looking for

  • Dtd-is-prohibited-error-when-accessing-sharepoint-2013-office365-list-but-not

    I need to update some items in a list and previously done it through a console app and using the sharepoint.client.dll but for some reason it no longer works.  When I call the clientContext.ExecuteQuery() it throws this error:- "For security reasons

  • How do i import my ipad files to a new computer itunes

    I have had to reformat my hard drive on my PC. I reloaded ITunes, and tried to sync my Ipad music, but because there was nothing in my ITunes library, I now have nothing on my Ipad! Luckilly I have an Iphone with the same music etc on it, but I would

  • Extension Manager CC won't launch

    Hi, I download the Extension Manager CC to my PC desktop. When I try launching it both by either clicking on the icon for the app, or through the Adobe Exchange window in PSD CC, I get a message that says "Failed to initialize Extension Manager". Whe

  • Upgrading leaves the old version installed. Why and can I get rid of it?

    I had SQL Server 2008 R2 installed on a Win7 box, and upgraded it to SQL Server 2014. All seems to have gone well, but in the programs menu I can see that SSMS 2008 R2 is still installed. For some reason, I seem to have SQL Server 2012 installed as w

  • Speedster Hangs after Post

    I have had this system  running for over a year now.  AMD Opteron 2356 (Barcelona's) x2 PC&PC 860W Single Rail PSU 16 GB RAM (has only been at 16 GB for about 3 months dual ATI 4850 HD 's (run 3 HP LP2465's) It has worked for well over a year like I